# Contributing Guide

## Reporting an Issue
The easiest way you can contribute to Amundsen is by creating issues. For that, please use the [issues][issues] section of the Amundsen repository and search for a similar problem. If you don't find it, submit your bug, question, proposal or feature request.

In the case of bugs, please be descriptive and, if possible, include a screenshot of the issue.

## Creating Pull Requests
Before sending a Pull Request with significant changes, please use the [issue tracker][issues] to discuss the potential improvements you want to make.

## First-Time Contributors
If this is your first contribution to open source, you can [follow this tutorial][contributionTutorial] or check [this video series][contributionVideos] to learn about the contribution workflow with GitHub.

We always have tickets labeled ['good first issue'][goodFirstIssues] and ['help wanted'][helpWantedIssues]. These are a great starting point if you want to contribute. Don't hesitate to ask questions about the issue if you are not sure about the strategy to follow.

## Requesting a Feature
We have created a [Roadmap][roadmap] document with our plans for next releases, however, we are open to hear your ideas for new features! 

For that, you can create an issue and select the "Feature Proposal" template. Fill in as much information as possible, and if you can, add responses to the following questions:
- We'll need to add a new model or change any existing model?
- What would the Migration Plan look like? Will it be backwards-compatible?
- Which alternatives did you consider?

## Setup
To start contributing to Amundsen, you need to set up your machine to develop with the project. For that, we have prepareda a [Developer Guide][developerGuide] that will guide you to set up your environment to develop locally with Amundsen.

## Get Recognition
You can add yourself or somebody else to the contributors list by using the [All Contributors bot][allContributorsBot].

## Next Steps
Once you have your environment set and ready to go, you can check our [documentation][documentationHomepage] and the project's [Roadmap][roadmap] to see what's coming.


[issues]: https://github.com/lyft/amundsen/issues
[allContributorsBot]: https://allcontributors.org/docs/en/bot/usage
[contributionTutorial]: https://github.com/firstcontributions/first-contributions#first-contributions
[contributionVideos]: https://egghead.io/courses/how-to-contribute-to-an-open-source-project-on-github
[goodFirstIssues]: https://github.com/lyft/amundsen/labels/good%20first%20issue
[helpWantedIssues]: https://github.com/lyft/amundsen/labels/help%20wanted
[developerGuide]: https://lyft.github.io/amundsen/developer_guide/
[roadmap]: https://lyft.github.io/amundsen/roadmap/
[documentationHomepage]: https://lyft.github.io/amundsen/
